net.corda.core.testing

## Class AmountGenerator<T>

- net.corda.core.testing.AmountGenerator<T>

-     public class AmountGenerator<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmountGenerator(com.pholser.junit.quickcheck.generator.Generator<T> tokenGenerator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Amount<T>` | `generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random, com.pholser.junit.quickcheck.generator.GenerationStatus status)`
    `com.pholser.junit.quickcheck.generator.Generator<T>` | `getTokenGenerator()`

- - ### Constructor Detail

    - #### AmountGenerator

          public AmountGenerator(com.pholser.junit.quickcheck.generator.Generator<T> tokenGenerator)

  - ### Method Detail

    - #### generate

          public Amount<T> generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random,
                                    com.pholser.junit.quickcheck.generator.GenerationStatus status)

    - #### getTokenGenerator

          public com.pholser.junit.quickcheck.generator.Generator<T> getTokenGenerator()